# Capabilities.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Containers.h"`
`#include "ace/SString.h"`
`#include "ace/Functor_String.h"`
`#include "ace/Capabilities.inl"`

Include dependency graph for Capabilities.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_CapEntry
| This class is the base class for all ACE Capabilities entry subclasses. More...
class | ACE_IntCapEntry
| This class implement the ACE Integer Capability subclass. More...
class | ACE_StringCapEntry
| This class implement the ACE String Capability subclass. More...
class | ACE_BoolCapEntry
| This class implement the ACE Bool Capability subclass. More...
class | ACE_Capabilities
| This class implement the ACE Capabilities. More...

## Detailed Description

Id
  Capabilities.h,v 4.18 2005/11/04 10:51:47 jwillemsen Exp

Author:
  Arturo Montes <mitosys@colomsat.net.co>